Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code

Unified Diff: modules/adblockplus/templates/web/commands.sh.erb

Issue 29733731: #7320 - Introduce helpcenter role (Closed)
Patch Set: Created March 27, 2018, 3:53 a.m.
Use n/p to move between diff chunks; N/P to move between comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: modules/adblockplus/templates/web/commands.sh.erb
===================================================================
new file mode 100644
--- /dev/null
+++ b/modules/adblockplus/templates/web/commands.sh.erb
@@ -0,0 +1,15 @@
+#!/bin/sh
mathias 2018/03/27 14:46:52 This script is either horribly implemented or poin
f.lopez 2018/03/27 19:29:50 Acknowledged.
+# Script: /usr/local/bin/wrapper.sh
+#command="$SSH_ORIGINAL_COMMAND"; shift
+set $SSH_ORIGINAL_COMMAND
+command="$1"; shift
+case "$command" in
+ "uname")
+ /home/<%= scope.lookupvar("adblockplus::web::static::deploy_user") %>/bin/own-uname
+ ;;
+ *)
+ echo "Sorry. Only these commands are available to you:"
+ echo "uname"
+ exit 1
+ ;;
+esac

Powered by Google App Engine
This is Rietveld